Subject: [Ltru] status of RFC 3066 or RFC 3066bis in relation to HTTP Accept-Language

From: "Peter Constable" <[email-masked]>
Date: Thu, 23 Mar 2006 17:36:08 -0800

RFC 2616 (HTTP 1.1) makes reference to RFC 1766 for use in
Accept-Language. Of course, 1766 was obsoleted by 3066; it was also
obsoleted by RFC 3282 "Content Language Headers", which discussed both
Content-language and Accept-Language.
 
It's not clear to me how versioning is handled in IETF specs: since RFC
1766 is obsoleted by these other docs, is RFC 2616 effectively updated
so that every reference to RFC 1766 is now treated as a reference to
RFCs 3066 and 3282 (or, rather, 3066bis in the former case)?

Thanks.
 
Peter Constable
GIFT | GPTS | MICROSOFT
 
_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "McDonald, Ira" <[email-masked]>
Date: Fri, 24 Mar 2006 16:40:16 -0800

John Cowan wrote:
> 
> McDonald, Ira scripsit:
> 
> > Precisely my point about RFC 2396 (Generic URI Syntax) and its 
> > successor RFC 3986.  Dozens of IETF and other standards specs 
> > were broken by RFC 3986 doing away with some ABNF productions 
> > and renaming others.  And Roy Fielding wasn't terribly polite 
> > about squashing my complaint.  And the IESG blithely approved 
> > this core spec with this glaring deficiency.
> 
> How did section D.2 of RFC 3986 fail to satisfy you?
> 

Sorry - I wasn't aware that section D.2 was added - Roy never
saw fit to point it out in response to my questions.

Although, presumably (being an Appendix), section D.2 (which maps
from 'obsolete' RFC2396 BNF rules to RFC 3986 BNF rules) is merely
Informative and so this still makes me queazy.

Cheers,
- Ira 

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

-- 
No virus found in this outgoing message.
Checked by AVG Free Edition.
Version: 7.1.385 / Virus Database: 268.3.1/291 - Release Date: 3/24/2006